escript::IndexList Struct Reference

`#include <IndexList.h>`

## Public Member Functions

| IndexList ()
| ~IndexList ()
void | insertIndex (DataTypes::index_t index)
| inserts row index into the IndexList in if it does not exist More...
DataTypes::dim_t | count (DataTypes::index_t range_min, DataTypes::index_t range_max) const
| counts the number of row indices in the IndexList in More...
void | toArray (DataTypes::index_t *array, DataTypes::index_t range_min, DataTypes::index_t range_max, DataTypes::index_t index_offset) const
| index list to array More...

## Public Attributes

DataTypes::index_t | m_list [85]
DataTypes::dim_t | n
IndexList * | extension

## Constructor & Destructor Documentation

## IndexList()

escript::IndexList::IndexList | ( |  | ) |

inline

Referenced by insertIndex().

## ~IndexList()

escript::IndexList::~IndexList | ( |  | ) |

inline

References extension.

## Member Function Documentation

## count()

DataTypes::dim_t escript::IndexList::count | ( | DataTypes::index_t | range_min,
|  | DataTypes::index_t | range_max
| ) |  | const

inline

counts the number of row indices in the IndexList in

References count(), extension, m_list, and n.

Referenced by count(), and paso::Pattern::fromIndexListArray().

## insertIndex()

void escript::IndexList::insertIndex | ( | DataTypes::index_t | index | ) |

inline

inserts row index into the IndexList in if it does not exist

References ESYS_INDEXLIST_LENGTH, extension, IndexList(), insertIndex(), m_list, and n.

Referenced by dudley::IndexList_insertElements(), finley::IndexList_insertElements(), finley::IndexList_insertElementsWithRowRangeNoMainDiagonal(), dudley::IndexList_insertElementsWithRowRangeNoMainDiagonal(), and insertIndex().

## toArray()

void escript::IndexList::toArray | ( | DataTypes::index_t * | array,
|  | DataTypes::index_t | range_min,
|  | DataTypes::index_t | range_max,
|  | DataTypes::index_t | index_offset
| ) |  | const

inline

index list to array

References extension, m_list, n, and toArray().

Referenced by paso::Pattern::fromIndexListArray(), and toArray().

## Member Data Documentation

## extension

IndexList* escript::IndexList::extension

Referenced by count(), insertIndex(), toArray(), and ~IndexList().

## m_list

DataTypes::index_t escript::IndexList::m_list[85]

Referenced by count(), insertIndex(), and toArray().

## n

DataTypes::dim_t escript::IndexList::n

Referenced by count(), insertIndex(), and toArray().

The documentation for this struct was generated from the following file:

- escriptcore/src/IndexList.h